package net.dudesblog.guihelper.gui.reusables;

import java.awt.BorderLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.border.EmptyBorder;

import net.dudesblog.guihelper.util.Language_util.LanguageResource;
import net.dudesblog.guihelper.util.Language_util.OreintationHelper;
import sun.awt.VerticalBagLayout;

public class LabledTextFeild extends JPanel {

	private static final long serialVersionUID = 1L;

	protected JTextField mNamedTextField = new JTextField();

	protected String mName;

	public LabledTextFeild(String pName) {
		this.setLayout(new VerticalBagLayout());
		this.mName = pName;
		JPanel aNamePanel = new JPanel();
		aNamePanel.setLayout(new BorderLayout());
		JLabel aNameLabel = new JLabel(LanguageResource.getString(pName));
		aNameLabel.setLabelFor(this.mNamedTextField);
		aNamePanel.add(OreintationHelper.setJComponentOreintation(aNameLabel),
				BorderLayout.LINE_START);
		aNamePanel.add(OreintationHelper
				.setJComponentOreintation(this.mNamedTextField),
				BorderLayout.CENTER);
		aNamePanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		this.add(OreintationHelper.setJComponentOreintation(aNamePanel));
	}

	public JTextField getNamedTextField() {
		return this.mNamedTextField;
	}

	public void setNamedTextField(JTextField pNamedTextField) {
		this.mNamedTextField = pNamedTextField;
	}

	public String getValue() {
		return this.mNamedTextField.getText();
	}

	public void setValue(String pNewValue) {
		this.mNamedTextField.setText(pNewValue);
	}

}
