package net.dudesblog.rmc.actions;

import java.util.HashMap;
import java.util.Map;

import net.dudesblog.guihelper.util.PropertyManager;
import net.dudesblog.rmc.gui.ItemPanel;

public abstract class AbstractConvertingAction extends Thread {

	protected static Map<ItemPanel, Thread> runningThreadsMap = new HashMap<ItemPanel, Thread>();

	protected int calculateThreadsAllowed() {
		if (PropertyManager.getProperty("rmc.user.threading").equals("m")) {
			return 10;
		} else if (PropertyManager.getProperty("rmc.user.threading")
				.equals("c")) {
			return Integer.parseInt(PropertyManager
					.getProperty("rmc.user.customthreadsnumber"));
		} else {
			return 1;
		}
	}

	public static void removeFinshedItem(ItemPanel itemPanel) {
		if (runningThreadsMap.containsKey(itemPanel)) {
			runningThreadsMap.remove(itemPanel);
		}
	}
}
