package net.dudesblog.rmc.actions;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import net.dudesblog.rmc.gui.ItemPanel;
import net.dudesblog.rmc.gui.UpperShortcutsPanel;

public class StopConvertingAction extends AbstractConvertingAction implements
		ActionListener {

	private UpperShortcutsPanel upperShortcutsPanel;

	public StopConvertingAction(UpperShortcutsPanel upperShortcutsPanel) {
		this.upperShortcutsPanel = upperShortcutsPanel;
	}

	@Override
	public void actionPerformed(ActionEvent arg0) {
		for (ItemPanel itemPanel : runningThreadsMap.keySet()) {
			itemPanel.abortAction();
			Thread thread = runningThreadsMap.get(itemPanel);
			thread.stop();
			thread = null;
		}
		upperShortcutsPanel.enableButtons();
	}

}
