package net.dudesblog.rmc.core.converter;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import net.dudesblog.rmc.gui.ItemPanel;

public class ErrorConsumer extends InputStreamConsumer {

	public ErrorConsumer(InputStream in, ItemPanel pItem) {
		super(in, pItem);
	}

	public void run() {
		BufferedReader br = new BufferedReader(new InputStreamReader(mIn));
		String line;
		int x = 0;
		try {
			while ((line = br.readLine()) != null) {
				// System.out.println("\n" + line);
				if (isMp3) {
					x = calculateLameProgress(line);
					mItem.setProgress(x);
				}

				try {
					if (line.substring(0, 14)
							.equalsIgnoreCase("File not found")
							|| line.substring(0, 14).equalsIgnoreCase(
									"Could not find")) {
						mItem.errorAction();
					}
				} catch (Exception e) {
				}
			}
		} catch (IOException exc) {
			System.out.println("Exception: " + exc + ". Exting");
			exc.printStackTrace();
		}
	}
}
