package net.dudesblog.rmc.core.converter;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import net.dudesblog.rmc.gui.ItemPanel;

public class ProcessConsumer extends InputStreamConsumer {

	public ProcessConsumer(InputStream in, ItemPanel pItem) {
		super(in, pItem);
	}

	public void run() {
		BufferedReader br = new BufferedReader(new InputStreamReader(mIn));
		String line;
		int x = 0;
		try {
			while ((line = br.readLine()) != null) {
				if (!isMp3) {
					x = calculateMplayerProgrees(line);
					// System.out.println("\n" + line);
					mItem.setProgress(x);
				}
			}
		} catch (IOException exc) {
			System.out.println("Exception: " + exc + ". Exting");
			exc.printStackTrace();
		}
	}

}
