package net.dudesblog.rmc.util.file_filters;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/* ImageFilter.java is used by FileChooserDemo2.java. */
public class rmFilter extends FileFilter {

	// Accept all directories and all gif, jpg, tiff, or png files.
	public boolean accept(File f) {
		if (f.isDirectory()) {
			return true;
		}

		String extension = Utils.getExtension(f);
		if (extension != null) {
			if (extension.equals(Utils.RM) || extension.equals(Utils.RAM)
					|| extension.equals(Utils.RA)
					|| extension.equals(Utils.WAV)) {
				return true;
			} else {
				return false;
			}
		}

		return false;
	}

	// The description of this filter
	public String getDescription() {
		return "All supported formats *.ra/*.rm/*.ram/*wav";
	}
}
