package net.dudesblog.guihelper.gui.font;

import java.awt.Font;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.plaf.FontUIResource;

public final class GuiFontSetter {

	public static void adjustFont(JFrame pMainFarme) {
		Object[] objs = UIManager.getLookAndFeel().getDefaults().keySet()
				.toArray();
		for (int i = 0; i < objs.length; i++) {
			if (objs[i].toString().toUpperCase().indexOf(".FONT") != -1) {
				Font font = UIManager.getFont(objs[i]);
				font = new Font("Arial", Font.PLAIN, 13);
				UIManager.put(objs[i], new FontUIResource(font));
			}
		}
		SwingUtilities.updateComponentTreeUI(pMainFarme);
		pMainFarme.repaint();
	}

}
