package net.dudesblog.guihelper.gui.reusables;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JProgressBar;
import javax.swing.JWindow;

import net.dudesblog.rmc.meta.pics.ClazzPics;

public class SplashScreen extends JWindow {

	private static final long serialVersionUID = 1L;

	public SplashScreen(String pSplashName) {
		this.setSize(192, 197);
		if (isAlwaysOnTopSupported()) {
			this.setAlwaysOnTop(true);
		}
		Dimension aScreen = Toolkit.getDefaultToolkit().getScreenSize();
		this.setLocation((aScreen.width - 192) / 2, (aScreen.height - 192) / 2);

		JLabel aLabel = new JLabel();
		aLabel.setBounds(0, 0, 192, 197);
		aLabel.setIcon(new ImageIcon(ClazzPics.class.getResource(pSplashName)));

		JProgressBar aProgressBar = new JProgressBar();
		aProgressBar.setBackground(Color.BLACK);
		aProgressBar.setForeground(Color.WHITE);
		aProgressBar.setIndeterminate(true);
		aProgressBar.setBounds(192, 192, 192, 10);

		this.add(aLabel, BorderLayout.PAGE_START);
		this.add(aProgressBar, BorderLayout.CENTER);
		this.setVisible(true);
	}

	class timerActionListener implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			dispose();
		}
	}

	public static void main(String[] args) {
		new SplashScreen("rmc_192.png");
	}

}
