package net.dudesblog.rmc.actions;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JSlider;

import net.dudesblog.rmc.core.JMPlayer;

public class PlaySliderAction implements MouseListener {

	private int calculateTime(int value) {
		Double newTime = (JMPlayer.getAllTime() * value) / 100;
		return newTime.intValue();
	}

	@Override
	public void mouseClicked(MouseEvent e) {

	}

	@Override
	public void mouseEntered(MouseEvent e) {

	}

	@Override
	public void mouseExited(MouseEvent e) {

	}

	@Override
	public void mousePressed(MouseEvent event) {
		if (JMPlayer.getInstance().isPlaying()) {
			JMPlayer.getInstance().togglePlay();
		}
	}

	@Override
	public void mouseReleased(MouseEvent event) {
		if (JMPlayer.getInstance().isPlaying()) {
			JSlider slider = (JSlider) event.getSource();
			JMPlayer.getInstance().setTimePosition(
					calculateTime(slider.getValue()));
		}
	}

}
