package net.dudesblog.rmc.actions;

import java.awt.Component;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.util.Timer;
import java.util.TimerTask;

import javax.swing.JComponent;

import net.dudesblog.rmc.core.JMPlayer;
import net.dudesblog.rmc.gui.PlayerPanel;

public class PlayerVolumeAction extends TimerTask implements MouseListener {

	private static Component button;

	private static Timer timer;

	@Override
	public void mouseClicked(MouseEvent event) {

	}

	@Override
	public void mouseEntered(MouseEvent e) {

	}

	@Override
	public void mouseExited(MouseEvent e) {

	}

	@Override
	public void mousePressed(MouseEvent event) {
		button = (JComponent) event.getSource();
		timer = new Timer();
		timer.schedule(new PlayerVolumeAction(), 0, 250);
	}

	private boolean isNotZero(float volume) {
		return (volume - 10 >= 0);
	}

	private boolean isNotFull(float volume) {
		return (volume - 10 <= 110);
	}

	@Override
	public void mouseReleased(MouseEvent e) {
		timer.cancel();
		timer = null;
	}

	@Override
	public void run() {
		float volume = JMPlayer.getInstance().getVolume();
		if (button.getName().equals("up") && isNotFull(volume)) {
			JMPlayer.getInstance().setVolume(volume + 10);
		} else if (button.getName().equals("down") && isNotZero(volume)) {
			JMPlayer.getInstance().setVolume(volume - 10);
		}
		PlayerPanel.updateVolumeImage(JMPlayer.getInstance().getVolume());
	}

}
