package net.dudesblog.rmc.gui;

import java.awt.GridLayout;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JPanel;

import net.dudesblog.guihelper.util.Language_util.LanguageResource;
import net.dudesblog.guihelper.util.Language_util.OreintationHelper;
import net.dudesblog.rmc.meta.pics.ClazzPics;

public class LowerShortcutsPanel extends JPanel {

	private static final long serialVersionUID = 1L;

	private static LowerShortcutsPanel instance;

	private LowerShortcutsPanel() {
		super();
		init();
	}

	private void init() {
		this.setLayout(new GridLayout(1, 5));
		JButton allButton = new JButton(LanguageResource.getString("ALL"),
				new ImageIcon(ClazzPics.class.getResource("all.png")));
		allButton.setToolTipText(LanguageResource.getString("ALL"));
		JButton noneButton = new JButton(LanguageResource.getString("NONE"),
				new ImageIcon(ClazzPics.class.getResource("none.png")));
		noneButton.setToolTipText(LanguageResource.getString("NONE"));
		JButton startButton = new JButton(LanguageResource.getString("START"),
				new ImageIcon(ClazzPics.class.getResource("start.png")));
		startButton.setToolTipText(LanguageResource.getString("START"));
		JButton stopButton = new JButton(LanguageResource.getString("STOP"),
				new ImageIcon(ClazzPics.class.getResource("stop.png")));
		stopButton.setToolTipText(LanguageResource.getString("STOP"));
		JButton clearButton = new JButton(LanguageResource.getString("CLEAR"),
				new ImageIcon(ClazzPics.class.getResource("clear.png")));
		clearButton.setToolTipText(LanguageResource.getString("CLEAR"));
		this.add(OreintationHelper.setTextUnderIcon(allButton));
		this.add(OreintationHelper.setTextUnderIcon(noneButton));
		this.add(OreintationHelper.setTextUnderIcon(startButton));
		this.add(OreintationHelper.setTextUnderIcon(stopButton));
		this.add(OreintationHelper.setTextUnderIcon(clearButton));
	}

	public static LowerShortcutsPanel getInstance() {
		if (instance == null) {
			instance = new LowerShortcutsPanel();
		}
		return instance;
	}
}
